Groovy 1.7.10

## org.codehaus.groovy.util
[Java] Class ManagedConcurrentMap.Entry

    java.lang.Object
      org.codehaus.groovy.util.ManagedReference
          org.codehaus.groovy.util.ManagedConcurrentMap.Entry

All Implemented Interfaces:
  Entry

    public static class ManagedConcurrentMap.Entry
    extends ManagedReference

Constructor Summary
`ManagedConcurrentMap.Entry(ReferenceBundle bundle, Segment segment, K key, int hash)`

Method Summary
`void` | `finalizeRef()`
`int` | `getHash()`
`V` | `getValue()`
`boolean` | `isEqual(K key, int hash)`
`boolean` | `isValid()`
`void` | `setValue(V value)`

Methods inherited from class ManagedReference
clear, finalizeReference, get

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ManagedConcurrentMap.Entry

    public ManagedConcurrentMap.Entry(ReferenceBundle bundle, Segment segment, K key, int hash)

Method Detail

### finalizeRef

    public void finalizeRef()

### getHash

    public int getHash()

### getValue

    public V getValue()

### isEqual

    public boolean isEqual(K key, int hash)

### isValid

    public boolean isValid()

### setValue

    public void setValue(V value)

Copyright © 2003-2010 The Codehaus. All rights reserved.